/*
 * @(#)AccessBridgeDebug.h	1.13 04/03/03
 * 
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * @(#)AccessBridgeDebug.h	1.13 04/03/03
 */

/* 
 * A class to manage AccessBridge debugging
 */

#ifndef __AccessBridgeDebug_H__
#define __AccessBridgeDebug_H__

#include <crtdbg.h>
#include <windows.h>

// #define DEBUGGING_ON

#ifdef _DEBUG
#define DEBUGGING_ON
#endif

#ifdef DEBUGGING_ON
#define DEBUG(x) x
#else
#define DEBUG(x) /* */
#endif

void PrintDebugString(char *msg, ...);
void wPrintDebugString(wchar_t *msg, ...);

#endif
